<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>FitModel &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">FitModel</a></li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/jetset.model_manager.FitModel.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">FitModel</a></li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="fitmodel">
<h1>FitModel<a class="headerlink" href="#fitmodel" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="jetset.model_manager.FitModel">
<em class="property">class </em><code class="descname">FitModel</code><span class="sig-paren">(</span><em>elec_distr=None</em>, <em>jet=None</em>, <em>name='no-name'</em>, <em>out_dir=None</em>, <em>flag=None</em>, <em>template=None</em>, <em>loglog_poly=None</em>, <em>analytical=None</em>, <em>nu_size=100</em>, <em>**keywords</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="jetset.base_model.Model.html#jetset.base_model.Model" title="jetset.base_model.Model"><code class="xref py py-class docutils literal"><span class="pre">jetset.base_model.Model</span></code></a></p>
<p>This class creates an interface to handle  a fit Model. The relevant class members are</p>
<blockquote>
<div><ul class="simple">
<li><a class="reference internal" href="jetset.spectral_shapes.SED.html#jetset.spectral_shapes.SED" title="jetset.spectral_shapes.SED"><code class="xref py py-class docutils literal"><span class="pre">SED</span></code></a> object storing the SED data points</li>
<li><cite>model_pars</cite>, a <code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> object returned by the <code class="xref py py-class docutils literal"><span class="pre">SSC_param</span></code> constructor</li>
<li><code class="xref py py-class docutils literal"><span class="pre">jet_builder</span></code> object</li>
</ul>
</div></blockquote>
<p>Parameters</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>jet</strong> – (<code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> object)</li>
<li><strong>elec_distr_type</strong> – (str)  name of the electron distribution model</li>
<li><strong>template</strong> – (<code class="xref py py-class docutils literal"><span class="pre">spectral_shapes.template</span></code> object)</li>
</ul>
</td>
</tr>
</tbody>
</table>
<p>Members</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Variables:</th><td class="field-body"><ul class="first last simple">
<li><a class="reference internal" href="jetset.spectral_shapes.SED.html#jetset.spectral_shapes.SED" title="jetset.spectral_shapes.SED"><strong>SED</strong></a> – (<a class="reference internal" href="jetset.spectral_shapes.SED.html#jetset.spectral_shapes.SED" title="jetset.spectral_shapes.SED"><code class="xref py py-class docutils literal"><span class="pre">spectral_shapes.SED</span></code></a>) object to store the SED data points</li>
<li><strong>model_pars</strong> – (<code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> object)</li>
</ul>
</td>
</tr>
</tbody>
</table>
<p class="rubric">Methods Summary</p>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_manager.FitModel.PlotModel" title="jetset.model_manager.FitModel.PlotModel"><code class="xref py py-obj docutils literal"><span class="pre">PlotModel</span></code></a>(Plot[,&nbsp;clean,&nbsp;autoscale,&nbsp;label,&nbsp;…])</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_manager.FitModel.add_component" title="jetset.model_manager.FitModel.add_component"><code class="xref py py-obj docutils literal"><span class="pre">add_component</span></code></a>(moldel_comp)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_manager.FitModel.eval" title="jetset.model_manager.FitModel.eval"><code class="xref py py-obj docutils literal"><span class="pre">eval</span></code></a>([nu,&nbsp;fill_SED,&nbsp;get_model,&nbsp;loglog,&nbsp;…])</td>
<td>evaluates the SED for the current parameters and fills the <a class="reference internal" href="jetset.spectral_shapes.SED.html#jetset.spectral_shapes.SED" title="jetset.spectral_shapes.SED"><code class="xref py py-class docutils literal"><span class="pre">SED</span></code></a> member</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_manager.FitModel.fit" title="jetset.model_manager.FitModel.fit"><code class="xref py py-obj docutils literal"><span class="pre">fit</span></code></a>(SEDdata,&nbsp;nu_min,&nbsp;nu_max[,&nbsp;fitname])</td>
<td>shortcut to call <a class="reference internal" href="jetset.minimizer.fit_SED.html#jetset.minimizer.fit_SED" title="jetset.minimizer.fit_SED"><code class="xref py py-func docutils literal"><span class="pre">minimizer.fit_SED()</span></code></a></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_manager.FitModel.get" title="jetset.model_manager.FitModel.get"><code class="xref py py-obj docutils literal"><span class="pre">get</span></code></a>(par_name,&nbsp;*args)</td>
<td>returns the value of a specific keyword for a specific parameter of the parameter array</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_manager.FitModel.get_conf_range" title="jetset.model_manager.FitModel.get_conf_range"><code class="xref py py-obj docutils literal"><span class="pre">get_conf_range</span></code></a>(par_name[,&nbsp;frac_range])</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_manager.FitModel.get_val" title="jetset.model_manager.FitModel.get_val"><code class="xref py py-obj docutils literal"><span class="pre">get_val</span></code></a>(par_name)</td>
<td>returns  the value of a specific parameter of the parameter array</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_manager.FitModel.set" title="jetset.model_manager.FitModel.set"><code class="xref py py-obj docutils literal"><span class="pre">set</span></code></a>(par_name,&nbsp;*args,&nbsp;**kw)</td>
<td>sets the value of a specific parameter of the parameter array</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_manager.FitModel.set_nu_grid" title="jetset.model_manager.FitModel.set_nu_grid"><code class="xref py py-obj docutils literal"><span class="pre">set_nu_grid</span></code></a>([nu_min,&nbsp;nu_max,&nbsp;nu_size])</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_manager.FitModel.show_pars" title="jetset.model_manager.FitModel.show_pars"><code class="xref py py-obj docutils literal"><span class="pre">show_pars</span></code></a>()</td>
<td>shows all the parameters of the fit_array</td>
</tr>
</tbody>
</table>
<p class="rubric">Methods Documentation</p>
<dl class="method">
<dt id="jetset.model_manager.FitModel.PlotModel">
<code class="descname">PlotModel</code><span class="sig-paren">(</span><em>Plot</em>, <em>clean=False</em>, <em>autoscale=False</em>, <em>label=None</em>, <em>plot_components=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.PlotModel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.PlotModel" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.add_component">
<code class="descname">add_component</code><span class="sig-paren">(</span><em>moldel_comp</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.add_component"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.add_component" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.eval">
<code class="descname">eval</code><span class="sig-paren">(</span><em>nu=None</em>, <em>fill_SED=True</em>, <em>get_model=False</em>, <em>loglog=False</em>, <em>plot=None</em>, <em>label=None</em>, <em>phys_output=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.eval"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.eval" title="Permalink to this definition">¶</a></dt>
<dd><p>evaluates the SED for the current parameters and fills the <a class="reference internal" href="jetset.spectral_shapes.SED.html#jetset.spectral_shapes.SED" title="jetset.spectral_shapes.SED"><code class="xref py py-class docutils literal"><span class="pre">SED</span></code></a> member</p>
</dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.fit">
<code class="descname">fit</code><span class="sig-paren">(</span><em>SEDdata</em>, <em>nu_min</em>, <em>nu_max</em>, <em>fitname=None</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.fit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.fit" title="Permalink to this definition">¶</a></dt>
<dd><p>shortcut to call <a class="reference internal" href="jetset.minimizer.fit_SED.html#jetset.minimizer.fit_SED" title="jetset.minimizer.fit_SED"><code class="xref py py-func docutils literal"><span class="pre">minimizer.fit_SED()</span></code></a></p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>SEDdata</strong> – SEDdata object</li>
<li><strong>nu_min</strong> – minimun frequency for the fit range interval</li>
<li><strong>nu_max</strong> – maximum frequency for the fit range interval</li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.get">
<code class="descname">get</code><span class="sig-paren">(</span><em>par_name</em>, <em>*args</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.get"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.get" title="Permalink to this definition">¶</a></dt>
<dd><p>returns the value of a specific keyword for a specific parameter of the parameter array</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> – </td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">see  the documentation of <code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> for arguments and keywords</p>
</div>
</dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.get_conf_range">
<code class="descname">get_conf_range</code><span class="sig-paren">(</span><em>par_name</em>, <em>frac_range=None</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.get_conf_range"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.get_conf_range" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.get_val">
<code class="descname">get_val</code><span class="sig-paren">(</span><em>par_name</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.get_val"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.get_val" title="Permalink to this definition">¶</a></dt>
<dd><p>returns  the value of a specific parameter of the parameter array</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> – </td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">see  the documentation of <code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> for arguments and keywords</p>
</div>
</dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.set">
<code class="descname">set</code><span class="sig-paren">(</span><em>par_name</em>, <em>*args</em>, <em>**kw</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.set"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.set" title="Permalink to this definition">¶</a></dt>
<dd><p>sets the value of a specific parameter of the parameter array</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> – </td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">see  the documentation of <code class="xref py py-class docutils literal"><span class="pre">par_array_builder</span></code> for arguments and keywords</p>
</div>
</dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.set_nu_grid">
<code class="descname">set_nu_grid</code><span class="sig-paren">(</span><em>nu_min=None</em>, <em>nu_max=None</em>, <em>nu_size=None</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.set_nu_grid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.set_nu_grid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_manager.FitModel.show_pars">
<code class="descname">show_pars</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_manager.html#FitModel.show_pars"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_manager.FitModel.show_pars" title="Permalink to this definition">¶</a></dt>
<dd><p>shows all the parameters of the fit_array</p>
</dd></dl>

</dd></dl>

</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>